Subject: [bug#57497] [PATCH] gnu: Add blueprint-compiler

From: Liliana Marie Prikler <[email-masked]>
Date: Wed, 31 Aug 2022 16:42:30 +0200

Hi Ahriman,

Am Mittwoch, dem 31.08.2022 um 04:21 +0100 schrieb Ahriman:
> ---
>  gnu/packages/blueprint-compiler.scm | 35
Missing a ChangeLog.  Also, you don't need an extra file, insert it
into gnome.scm after glade.

> +++++++++++++++++++++++++++++
>  1 file changed, 35 insertions(+)
>  create mode 100644 gnu/packages/blueprint-compiler.scm
> 
> diff --git a/gnu/packages/blueprint-compiler.scm
> b/gnu/packages/blueprint-compiler.scm
> new file mode 100644
> index 0000000000..299f0b3635
> --- /dev/null
> +++ b/gnu/packages/blueprint-compiler.scm
> @@ -0,0 +1,35 @@
> +(define-module (gnu packages blueprint-compiler)
> +  #:use-module (guix packages)
> +  #:use-module (guix licenses)
> +  #:use-module (guix download)
> +  #:use-module (gnu packages python)
> +  #:use-module (gnu packages glib)
> +  #:use-module (guix build-system meson))
> +
> +(define-public blueprint-compiler
> +  (package
> +    (name "blueprint-compiler")
> +    (version "0.2.0")
> +    (source (origin
> +              (method url-fetch)
> +              (uri (string-append
> +                  
> "https://gitlab.gnome.org/jwestman/blueprint-compiler/-/archive/v"
> +                   version
> +                   "/blueprint-compiler-v"
> +                   version
> +                   ".tar.gz"))
> +              (sha256
> +               (base32
> +               
> "10qd9bax2n83n0pmmsbb55rjdsm7g5pvj2lxh460dl78jm649rfl"))))
git-fetch exists, use it.
> +    (build-system meson-build-system)
> +    (arguments `(#:tests? #f))
Tests are not meant to be ignored.
> +    (native-inputs (list gobject-introspection))
> +    (inputs (list python))
I'm pretty sure you're missing inputs.  On my local stash, I have at
least glib, gtk, and python-pygobject, but even with those I have yet
to get the tests running.
> +    (synopsis "Markup language compiler for GTK user interface files")
I'd suggest shortening this to "Template markup language"
> +    (description
> +     "This package provides the compiler for the blueprint markup
> language for
> +GTK user interfaces")
"Blueprint is a markup language for GTK user interfaces.
Internally, it compiles to GTKBuilder XML."
> +    (home-page
> "https://gitlab.gnome.org/jwestman/blueprint-compiler")
> +    (license gpl3+)))
Are you sure it's not LGPL?

> +blueprint-compiler
You don't need trailing variables.

Cheers